=== debian/changelog ===
eclipse (3.7.2-1) unstable; urgency=low

  * New upstream release.
  * Use SWT from swt-gtk package instead of the bundled version
    (Closes: #538808).
  * Add org.eclipse.equinox.log to eclipse-rcp.
  * Update package synopsis and extended descriptions
    (Closes: #655945, #655946).
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Fix broken installaton after some package Eclipse core platform
    depends on is upgraded (Closes: #662153, #663335).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 11 Mar 2012 20:10:20 +0100
