=== debian/control ===
Source: eclipse
Section: devel
Priority: optional
Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Adnan Hodzic <adnan@foolcontrol.org>,
           Jimmy Kaplowitz <jimmy@debian.org>,
           Andres Mejia <amejia@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: ant (>= 1.8.2),
               ant-optional,
               debhelper (>= 8~),
               default-jdk,
               docbook2x,
               junit (>= 3.8.2-4),
               junit4 (>= 4.7-3),
               libasm3-java (>= 3.3),
               libcommons-codec-java (>= 1.4-2),
               libcommons-el-java (>= 1.0-5),
               libcommons-httpclient-java (>= 3.1-9),
               libcommons-logging-java (>= 1.1.1-6),
               libgnome-vfsmm-2.6-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
               libhamcrest-java (>= 1.1-8~),
               libicu4j-4.4-java (>= 4.4.2.2),
               libjasper-java (>= 5.5.33-2),
               libjetty-java (>= 6.1.24-4~),
               libjsch-java (>= 0.1.37-3),
               liblucene2-java (>= 2.9.4+ds1-3~),
               liblucene2-java (<< 2.9.5),
               libservlet2.5-java (>= 6.0.20-8),
               libswt-gtk-3-java (>= 3.7.1-2),
               lsb-release,
               maven-ant-helper,
               maven-repo-helper,
               pkg-config,
               rsync,
               sat4j (>= 2.3.0),
               sat4j (<< 2.4.0),
               unzip,
               zip
Build-Conflicts: xulrunner-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse.git
Homepage: http://www.eclipse.org/

Package: eclipse
Architecture: all
Depends: eclipse-jdt (>= ${source:Version}),
         eclipse-pde (>= ${source:Version}),
         ${misc:Depends}
Description: Extensible Tool Platform and Java IDE
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the whole Eclipse SDK that contains Eclipse Platform,
 Java development tools and Plug-in Development Environment, including source
 and both user and programmer documentation.

Package: eclipse-jdt
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-platform (= ${binary:Version}),
         junit (>= 3.8.2-4),
         junit4 (>= 4.7-3),
         libhamcrest-java (>= 1.1-8~),
         ${misc:Depends}
Recommends: default-jdk | sun-java6-jdk
Suggests: eclipse
Replaces: eclipse-jdt-gcj
Description: Eclipse Java Development Tools (JDT)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides Java Development Tools, a complete and powerful Java IDE
 along with several editors, a refactoring engine, Ant and JUnit integration,
 debugger, and many more features.

Package: eclipse-pde
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-jdt (= ${binary:Version}),
         eclipse-platform (= ${binary:Version}),
         libasm3-java (>= 3.3),
         ${misc:Depends}
Suggests: eclipse
Replaces: eclipse-pde-gcj
Description: Eclipse Plug-in Development Environment (PDE)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides tools for easy development of plug-ins for Eclipse.

Package: eclipse-platform
Architecture: any
Depends: ant (>= 1.8.2),
         ant-optional,
         default-jre | java5-runtime | java6-runtime,
         eclipse-platform-data (>= ${source:Version}),
         eclipse-rcp (= ${binary:Version}),
         java-common (>= 0.23),
         libcommons-codec-java (>= 1.4-2),
         libcommons-el-java (>= 1.0-5),
         libcommons-httpclient-java (>= 3.1-9),
         libcommons-logging-java (>= 1.1.1-6),
         libjasper-java (>= 5.5.26),
         libjetty-java (>= 6.1.24-4~),
         libjsch-java (>= 0.1.37-3),
         liblucene2-java (>= 2.9.4+ds1-3~),
         liblucene2-java (<< 2.9.5),
         libservlet2.5-java (>= 6.0.20-8),
         sat4j (>= 2.3.0),
         sat4j (<< 2.4.0),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: eclipse-pde
Replaces: eclipse-jdt (<< 3.5.1+repack~3),
          eclipse-platform-common,
          eclipse-platform-gcj,
          eclipse-source (<= 3.1.1-3),
          libeclipse-jni
Breaks: eclipse-source (<= 3.1.1-3)
Conflicts: eclipse-common-nls,
           eclipse-platform-common,
           eclipse-platform-nls,
           libeclipse-jni
Suggests: eclipse-jdt
Description: Eclipse platform without development plug-ins
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the Eclipse Platform and is the base for all eclipse
 plug-ins, but it does not include any development plug-ins. These are available
 in different packages, for example:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse-cdt C/C++ Development Tools

Package: eclipse-platform-data
Architecture: all
Depends: ${misc:Depends}
Replaces: eclipse (<< 3.5.2),
          eclipse-platform (<< 3.5.2-4),
          eclipse-platform-gcj,
          eclipse-plugin-cvs
Breaks: eclipse-plugin-cvs
Description: Eclipse platform without development plug-ins (data)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the Eclipse Platform and is the base for all eclipse
 plug-ins, but it does not include any development plug-ins except CVS support
 for source code management. Other plugins are available in different packages,
 for example:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse-cdt C/C++ Development Tools
 .
 This package contains the architecture-independent data files.

Package: eclipse-rcp
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         libequinox-osgi-java (= ${source:Version}),
         libicu4j-4.4-java (>= 4.4.2.2),
         libswt-gtk-3-java (>= 3.7.1-2),
         libswt-cairo-gtk-3-jni,
         libswt-webkit-gtk-3-jni,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libswt-glx-gtk-3-jni,
            libswt-gnome-gtk-3-jni,
            ${shlibs:Recommends}
Suggests: eclipse
Replaces: eclipse-rcp-gcj,
          libswt-gtk-3.4-java,
          libswt-gtk-3.4-jni,
          libswt-gtk-3.5-jni (<< 3.5.1+repack),
          libswt3.2-gtk-gcj,
          libswt3.2-gtk-java,
          libswt3.2-gtk-jni
Description: Eclipse Rich Client Platform (RCP)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes Eclipse Rich Client Platform (RCP), which is the basis
 upon other Eclipse-based applications are built.

Package: libequinox-osgi-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Recommends: libservlet2.5-java
Breaks: eclipse-rcp (<< 3.5.1-0ubuntu3)
Replaces: eclipse-platform-gcj, eclipse-rcp-gcj
Description: Equinox OSGi framework
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Eclipse Equinox OSGi framework, which can
 be used outside Eclipse.
