## eclipse 3.8.0~rc4

=== debian/changelog ===
eclipse (3.8.0~rc4-1) unstable; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Synchronize extended descriptions of eclipse-platform-data and
    eclipse-platform, grammar fixes (Closes: #678459).
  * Don't create binary packages when GCJ is used, only run the build
    so that log can be analyzed.

  [ Niels Thykier ]
  * Remove (Build-)Depends on libjasper-java (the old jasper5.5
    implementation).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 27 Jun 2012 12:59:33 +0200

eclipse (3.8.0~rc3-4) unstable; urgency=low

  * Upload to unstable.
  * Add upper bound on swt-gtk dependency.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 12:55:00 +0200

eclipse (3.8.0~rc3-3) experimental; urgency=low

  * Increase debhelper compatibility to level 9.
  * Use default build flags during compilation of native binaries.
  * Override false positive hardening-no-fortify-functions for
    libunixfile_1_0_0.so (Doesn't use any fortifiable functions).
  * Updated d/watch.
  * Depend on libswt-cairo-gtk-3-jni and libswt-webkit-gtk-3-jni (>= 3.8.0~)
    (Closes: #676467)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 18 Jun 2012 13:05:32 +0200

eclipse (3.8.0~rc3-2) experimental; urgency=low

  [ Jakub Adam ]
  * Fix FTBFS on most architectures.
  * Install libgnomeproxy-1.0.0.so to system JNI directory.
   - Prevents the library from being copied in to user's ~/.eclipse
  * Fix JSP precompilation in org.eclipse.help.webapp.
  * Make eclipse-platform-data Replace & Break eclipse-platform (<< 3.8.0~)
    (Closes: #676222)

  [ Niels Thykier ]
  * Add missing ${misc:Pre-Depends} dependency in eclipse-platform.
  * Drop unused ${shlibs:Recomends} dependency in eclipse-rcp.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 07 Jun 2012 17:08:30 +0200

eclipse (3.8.0~rc3-1) experimental; urgency=low

  * New upstream release.
  * Fix generation of Eclipse Help search index (Closes: #669000).
  * Remove Gnome libraries from Build-Depends.
  * Improve extended descriptions of binary packages and fix grammar
    errors (Closes: #664704, #664708).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 04 Jun 2012 16:31:24 +0200
