=== debian/control ===
--- 
+++ 
@@ -9,28 +9,28 @@
            Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: ant (>= 1.8.2),
                ant-optional,
-               debhelper (>= 8~),
+               debhelper (>= 9~),
                default-jdk,
                docbook2x,
                junit (>= 3.8.2-4),
-               junit4 (>= 4.7-3),
+               junit4 (>= 4.10-2),
                libasm3-java (>= 3.3),
                libcommons-codec-java (>= 1.4-2),
-               libcommons-el-java (>= 1.0-5),
                libcommons-httpclient-java (>= 3.1-9),
                libcommons-logging-java (>= 1.1.1-6),
-               libgnome-vfsmm-2.6-dev,
-               libgnomeui-dev,
+               libfelix-gogo-command-java,
+               libfelix-gogo-shell-java,
+               libgconf2-dev,
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
                libicu4j-4.4-java (>= 4.4.2.2),
-               libjasper-java (>= 5.5.33-2),
-               libjetty-java (>= 6.1.24-4~),
+               libjetty8-java,
                libjsch-java (>= 0.1.37-3),
                liblucene2-java (>= 2.9.4+ds1-3~),
                liblucene2-java (<< 2.9.5),
-               libservlet2.5-java (>= 6.0.20-8),
-               libswt-gtk-3-java (>= 3.7.1-2),
+               libservlet3.0-java,
+               libswt-gtk-3-java (>= 3.8.0~m6),
+               libtomcat7-java,
                lsb-release,
                maven-ant-helper,
                maven-repo-helper,
@@ -40,7 +40,6 @@
                sat4j (<< 2.4.0),
                unzip,
                zip
-Build-Conflicts: xulrunner-dev
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
@@ -64,11 +63,11 @@
  and both user and programmer documentation.
 
 Package: eclipse-jdt
-Architecture: any
+Architecture: all
 Depends: default-jre | java5-runtime | java6-runtime,
-         eclipse-platform (= ${binary:Version}),
+         eclipse-platform (>= ${source:Version}),
          junit (>= 3.8.2-4),
-         junit4 (>= 4.7-3),
+         junit4 (>= 4.10-2),
          libhamcrest-java (>= 1.1-8~),
          ${misc:Depends}
 Recommends: default-jdk | sun-java6-jdk
@@ -83,13 +82,13 @@
  .
  This package provides Java Development Tools, a complete and powerful Java IDE
  along with several editors, a refactoring engine, Ant and JUnit integration,
- debugger, and many more features.
+ a debugger, and many more features.
 
 Package: eclipse-pde
 Architecture: any
 Depends: default-jre | java5-runtime | java6-runtime,
-         eclipse-jdt (= ${binary:Version}),
-         eclipse-platform (= ${binary:Version}),
+         eclipse-jdt (>= ${source:Version}),
+         eclipse-platform (>= ${source:Version}),
          libasm3-java (>= 3.3),
          ${misc:Depends}
 Suggests: eclipse
@@ -105,6 +104,7 @@
 
 Package: eclipse-platform
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ant (>= 1.8.2),
          ant-optional,
          default-jre | java5-runtime | java6-runtime,
@@ -112,15 +112,13 @@
          eclipse-rcp (= ${binary:Version}),
          java-common (>= 0.23),
          libcommons-codec-java (>= 1.4-2),
-         libcommons-el-java (>= 1.0-5),
          libcommons-httpclient-java (>= 3.1-9),
          libcommons-logging-java (>= 1.1.1-6),
-         libjasper-java (>= 5.5.26),
-         libjetty-java (>= 6.1.24-4~),
+         libjetty8-java,
          libjsch-java (>= 0.1.37-3),
          liblucene2-java (>= 2.9.4+ds1-3~),
          liblucene2-java (<< 2.9.5),
-         libservlet2.5-java (>= 6.0.20-8),
+         libservlet3.0-java,
          sat4j (>= 2.3.0),
          sat4j (<< 2.4.0),
          ${misc:Depends},
@@ -145,9 +143,9 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides the Eclipse Platform and is the base for all eclipse
- plug-ins, but it does not include any development plug-ins. These are available
- in different packages, for example:
+ This package provides the Eclipse Platform and is the base for all Eclipse
+ development plug-ins, but it does not include any. These are available in
+ different packages, for example:
  .
   * eclipse-jdt Java Development Tools
   * eclipse-pde Plug-in Development Tools
@@ -155,12 +153,14 @@
 
 Package: eclipse-platform-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libtomcat7-java,
+         ${misc:Depends}
 Replaces: eclipse (<< 3.5.2),
-          eclipse-platform (<< 3.5.2-4),
+          eclipse-platform (<< 3.8.0~),
           eclipse-platform-gcj,
           eclipse-plugin-cvs
-Breaks: eclipse-plugin-cvs
+Breaks: eclipse-plugin-cvs,
+        eclipse-platform (<< 3.8.0~)
 Description: Eclipse platform without development plug-ins (data)
  The Eclipse Platform is an open and extensible platform for anything and yet
  nothing in particular. It provides a foundation for constructing and running
@@ -168,9 +168,9 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides the Eclipse Platform and is the base for all eclipse
- plug-ins, but it does not include any development plug-ins except CVS support
- for source code management. Other plugins are available in different packages,
+ This package provides the Eclipse Platform and is the base for all Eclipse
+ development plug-ins, but it does not include any except CVS support for
+ source code management. Other plugins are available in different packages,
  for example:
  .
   * eclipse-jdt Java Development Tools
@@ -183,15 +183,17 @@
 Architecture: any
 Depends: default-jre | java5-runtime | java6-runtime,
          libequinox-osgi-java (= ${source:Version}),
+         libfelix-gogo-command-java,
+         libfelix-gogo-shell-java,
          libicu4j-4.4-java (>= 4.4.2.2),
-         libswt-gtk-3-java (>= 3.7.1-2),
-         libswt-cairo-gtk-3-jni,
-         libswt-webkit-gtk-3-jni,
+         libswt-gtk-3-java (<< 3.9.0~),
+         libswt-gtk-3-java (>= 3.8.0~),
+         libswt-cairo-gtk-3-jni (>= 3.8.0~),
+         libswt-webkit-gtk-3-jni (>= 3.8.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libswt-glx-gtk-3-jni,
-            libswt-gnome-gtk-3-jni,
-            ${shlibs:Recommends}
+            libswt-gnome-gtk-3-jni
 Suggests: eclipse
 Replaces: eclipse-rcp-gcj,
           libswt-gtk-3.4-java,
@@ -207,14 +209,14 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package includes Eclipse Rich Client Platform (RCP), which is the basis
- upon other Eclipse-based applications are built.
+ This package includes the Eclipse Rich Client Platform (RCP), the basis upon
+ which Eclipse RCP applications are built.
 
 Package: libequinox-osgi-java
 Architecture: all
 Section: java
 Depends: ${misc:Depends}
-Recommends: libservlet2.5-java
+Recommends: libservlet3.0-java
 Breaks: eclipse-rcp (<< 3.5.1-0ubuntu3)
 Replaces: eclipse-platform-gcj, eclipse-rcp-gcj
 Description: Equinox OSGi framework
