=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 override_dh_auto_clean:
 	ant distclean
 	mh_clean
+	rm -rf bootstrap/configuration/org.eclipse.update \
+	  bootstrap/environment/ee.minimum.jar
 
 override_dh_auto_install:
 	ant installSDKinDropins -Dprefix=/usr -DdestDir=$(CURDIR)/debian/tmp
@@ -28,6 +30,8 @@
 PDEBUILDVERSION = $(shell ls debian/tmp/usr/lib/eclipse/dropins/sdk/plugins | grep org.eclipse.pde.build_ | sed 's/org.eclipse.pde.build_//')
 
 override_dh_install:
+	# move jdt from /usr/lib to /usr/share
+	cd debian/tmp/usr && mkdir -p share/eclipse/dropins && mv lib/eclipse/dropins/jdt share/eclipse/dropins
 	# move images from /usr/lib to /usr/share
 	cd debian/tmp/usr && find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/extra/imagemv.pl
 	# remove extra licence file
@@ -62,9 +66,16 @@
 	) | sed -e's,^\(.*\),[ ! -e \1 ] \&\& ln -s $$eclipse/\1 \1,' >> $(COPY_PLATFORM_INSTALL)
 	( \
 	  cd debian/tmp/usr/lib/eclipse; \
-	  for p in $$(ls -d dropins/jdt/plugins/* dropins/sdk/plugins/*) ; do \
+	  for p in $$(ls -d dropins/sdk/plugins/*) ; do \
 		plugin=$$(basename $$p); \
 		echo $$p | sed -e"s,^\(.*\),[ ! -e plugins/$$plugin ] \&\& ln -s \$$eclipse/\1 plugins/$$plugin,"; \
+	  done \
+	) >> $(COPY_PLATFORM_INSTALL)
+	( \
+	  cd debian/tmp/usr/share/eclipse; \
+	  for p in $$(ls -d dropins/jdt/plugins/*) ; do \
+		plugin=$$(basename $$p); \
+		echo $$p | sed -e"s,^\(.*\),[ ! -e plugins/$$plugin ] \&\& ln -s \$$datadir/\1 plugins/$$plugin,"; \
 	  done \
 	) >> $(COPY_PLATFORM_INSTALL)
 	sed -e "s/@PDEBUILDVERSION@/$(PDEBUILDVERSION)/g" -e "s:@COPY_PLATFORM@:$(COPY_PLATFORM):g" < pdebuild/eclipse-pdebuild.sh > $(PDEBUILD_INSTALL)
@@ -72,6 +83,8 @@
 	dh_install --list-missing
 	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.core.net.linux.*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.core.net.linux.*.jar /usr/lib/eclipse/plugins)
 	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar /usr/lib/eclipse/plugins)
+	dh_install -peclipse-platform build/*/plugins/org.eclipse.core.net/fragments/*/libgnomeproxy*.so \
+		usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	find $(CFG_OSGI_BUNDLES_PATH) -depth -type d -a -empty -delete
 	# Check if we are doing a -B build
 	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install_indep
@@ -95,3 +108,9 @@
 		mh_installjar -v -plibequinox-osgi-java  $$pom debian/libequinox-osgi-java/usr/share/java/org.eclipse.$$SUFFIX.jar; \
 	 done
 
+override_dh_md5sums:
+	# If we are using GCJ, let the build fail at this point.
+	# We want to check the build log, but not to use the created packages.
+	! ($(JAVA_HOME)/bin/java -version 2>&1 | grep gcj >/dev/null) || \
+		(echo "GCJ detected, exiting build now..." && exit 1)
+	dh_md5sums
