=== debian/changelog ===
eclipse (3.8.1-8) unstable; urgency=medium

  * Update icu4j dependency to libicu4j-49-java
    - required by eclipse-cdt 8.6.0.
  * Bump Standards-Version to 3.9.6.
  * Convert Vcs-* fields in d/control into canonical format.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 28 Feb 2015 19:13:20 +0100

eclipse (3.8.1-7) unstable; urgency=medium

  * Team upload.
  * Install all arch-dependent files into eclipse-rcp correctly by renaming
    override_dh_install to override_dh_install-arch.
    Fix wrong override for dh_install-indep and move jh_classpath commands
    to the appropriate override target. (Closes: #770457, #763994)

 -- Markus Koschany <apo@gambaru.de>  Mon, 24 Nov 2014 02:31:41 +0100

eclipse (3.8.1-6) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Replaced the jsr14 compilation target with 1.5 to compile with Java 8

  [ Jakub Adam ]
  * Refreshed d/eclipse-build-generatedScripts.tar.bz2 (Closes: #759847).
  * Override needless-suggest-recommend-libservlet-java lintian warning
    - follows from an optional OSGi dependency on javax.servlet.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 14 Sep 2014 13:52:58 +0200

eclipse (3.8.1-5.1) unstable; urgency=low

  [ Jakub Adam ]
  * Compile org.eclipse.osgi bundle for java 1.5.
    - Required for Tycho build with Java 7.
  * Fix FTBFS on s390x architecture.
  * Provide convenient symlinks for jdi.jar and jdimodel.jar (Closes: #734797).
  * Add README.ports.
  * Move Orbit jar symlinks mentioned in bundles.info from eclipse-platform-data
    into eclipse-platform (Closes: #735096, #732244).
    - Ensures bundles.info is always consistent with bundle names.

  [ Matthias Klose ]
  * Build for arm64 and ppc64el.

  [ tony mancill ]
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Thu, 16 Jan 2014 20:52:11 -0800

eclipse (3.8.1-4) unstable; urgency=low

  * Fix help webapp with tomcat-jasper.jar from libtomcat7-java 7.0.40.
  * Improved eclipse-jdt extended description (Closes: #700256).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 12 Jun 2013 19:36:31 +0200

eclipse (3.8.1-3) unstable; urgency=low

  * Team upload.
  * Actually upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Jun 2013 07:24:26 -0700

eclipse (3.8.1-2) experimental; urgency=low

  *Team upload.

  [ Jakub Adam ]
  * Fix FTBFS on ppc64 (Closes: #694950).
  * Bump Standards-Version to 3.9.4.

  [ tony mancill ]
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 31 May 2013 10:18:02 -0700

eclipse (3.8.1-1) experimental; urgency=low

  * New upstream release.
  * Update extended description of eclipse-platform-data (Closes: #679423).
  * Fix libgnomeproxy compilation with glib >= 2.32 (Closes: #679328).
  * Expose org.eclipse.jface and its dependencies in /usr/share/java.
  * Don't let patches delete files.
    - Works around dpkg bug #683547.
    - Affected patches are use-deb-build-compiler-flags.patch and
      find-tomcat-libs.patch.
  * Refreshed d/patches/eclipse-help-fix-jsp-precompilation.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 14 Oct 2012 14:59:33 +0200
