=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                debhelper (>= 9~),
                default-jdk,
                docbook2x,
+               javahelper,
                junit (>= 3.8.2-4),
                junit4 (>= 4.10-2),
                libasm3-java (>= 3.3),
@@ -23,7 +24,7 @@
                libgconf2-dev,
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
-               libicu4j-4.4-java (>= 4.4.2.2),
+               libicu4j-49-java (>= 49.1-2),
                libjetty8-java,
                libjsch-java (>= 0.1.37-3),
                liblucene2-java (>= 2.9.4+ds1-3~),
@@ -40,10 +41,9 @@
                sat4j (<< 2.4.0),
                unzip,
                zip
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/eclipse.git
 Homepage: http://www.eclipse.org/
 
 Package: eclipse
@@ -80,9 +80,9 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides Java Development Tools, a complete and powerful Java IDE
- along with several editors, a refactoring engine, Ant and JUnit integration,
- a debugger, and many more features.
+ This package contains Java Development Tools. These provide a powerful
+ Java IDE along with several editors, a refactoring engine, Ant and JUnit
+ integration, a debugger, and many more features.
 
 Package: eclipse-pde
 Architecture: any
@@ -125,11 +125,7 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: eclipse-pde
-Replaces: eclipse-jdt (<< 3.5.1+repack~3),
-          eclipse-platform-common,
-          eclipse-platform-gcj,
-          eclipse-source (<= 3.1.1-3),
-          libeclipse-jni
+Replaces: eclipse-platform-data (<< 3.8.1-5)
 Breaks: eclipse-source (<= 3.1.1-3)
 Conflicts: eclipse-common-nls,
            eclipse-platform-common,
@@ -168,16 +164,15 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides the Eclipse Platform and is the base for all Eclipse
- development plug-ins, but it does not include any except CVS support for
- source code management. Other plugins are available in different packages,
- for example:
+ The Eclipse Platform is the base for all Eclipse development plug-ins, but it
+ does not include any. These are available in different packages, for example:
  .
   * eclipse-jdt Java Development Tools
   * eclipse-pde Plug-in Development Tools
   * eclipse-cdt C/C++ Development Tools
  .
- This package contains the architecture-independent data files.
+ This package contains the architecture-independent data files of the Eclipse
+ Platform.
 
 Package: eclipse-rcp
 Architecture: any
@@ -185,7 +180,7 @@
          libequinox-osgi-java (= ${source:Version}),
          libfelix-gogo-command-java,
          libfelix-gogo-shell-java,
-         libicu4j-4.4-java (>= 4.4.2.2),
+         libicu4j-49-java (>= 49.1-2),
          libswt-gtk-3-java (<< 3.9.0~),
          libswt-gtk-3-java (>= 3.8.0~),
          libswt-cairo-gtk-3-jni (>= 3.8.0~),
