=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,12 @@
 PDEBUILD_INSTALL:=debian/tmp/usr/lib/eclipse/buildscripts/pde-build
 PDEBUILDVERSION = $(shell ls debian/tmp/usr/lib/eclipse/dropins/sdk/plugins | grep org.eclipse.pde.build_ | sed 's/org.eclipse.pde.build_//')
 
-override_dh_install:
+override_dh_install-arch:
 	# move jdt from /usr/lib to /usr/share
 	cd debian/tmp/usr && mkdir -p share/eclipse/dropins && mv lib/eclipse/dropins/jdt share/eclipse/dropins
 	# move images from /usr/lib to /usr/share
 	cd debian/tmp/usr && find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/extra/imagemv.pl
-	# remove extra licence file
+	# remove extra license files
 	rm -f debian/tmp/usr/lib/eclipse/plugins/org.apache.ant_*/about_files/LICENSE* \
 		debian/tmp/usr/lib/eclipse/epl-v10.html \
 		debian/tmp/usr/lib/eclipse/about_files/lgpl-v21.txt \
@@ -42,6 +42,7 @@
 		debian/tmp/usr/lib/eclipse/about_files/webkit-bsd.txt \
 		debian/tmp/usr/lib/eclipse/about_files/pixman-licenses.txt \
 		debian/tmp/usr/lib/eclipse/about_files/about_cairo.html
+	find debian/tmp/usr/lib/eclipse/dropins -type f -name LICENSE*.txt -delete
 	# Remove symlink and some cruft installed by the upstream install
 	rm -fr debian/tmp/usr/bin/*
 	# install the wrapper script
@@ -87,11 +88,21 @@
 		usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	find $(CFG_OSGI_BUNDLES_PATH) -depth -type d -a -empty -delete
 	# Check if we are doing a -B build
-	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install_indep
+	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install-indep
 	chmod 0644 debian/eclipse-rcp/usr/lib/eclipse/about_files/IJG_README
+	# Expose org.eclipse.jface and its dependencies
+	mkdir -p debian/eclipse-rcp/usr/share/java
+	cd debian/eclipse-rcp/usr/share/java; \
+	ln -s ../../lib/eclipse/plugins/org.eclipse.jface_*.jar; \
+	ln -s org.eclipse.jface_*.jar org.eclipse.jface.jar; \
+	ln -s ../../lib/eclipse/plugins/org.eclipse.core.commands_*.jar; \
+	ln -s org.eclipse.core.commands_*.jar org.eclipse.core.commands.jar; \
+	ln -s ../../lib/eclipse/plugins/org.eclipse.equinox.common_*.jar; \
+	ln -s org.eclipse.equinox.common_*.jar org.eclipse.equinox.common.jar
 
 # Operations on arch: all packages - not invoked if building with -B
-override_dh_install_indep:
+override_dh_install-indep:
+	dh_install --indep
 	# mv arch-indep plugins from lib to share
 	cd debian/eclipse-platform-data/usr && find lib/ -type f -path '*lib/eclipse/*' | perl ../../../debian/extra/imagemv.pl
 	# Expose osgi jars
@@ -101,6 +112,11 @@
 		ln -s $$FILE ; \
 		ln -s $$FILE `basename $$FILE | sed 's/_.*$$//g'`.jar ; \
 	  done
+	# Expose jdi.jar and jdimodel.jar
+	mkdir -p debian/eclipse-jdt/usr/share/java
+	cd debian/eclipse-jdt/usr/share/java; \
+	  ln -s ../eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_*/jdi.jar; \
+	  ln -s ../eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_*/jdimodel.jar;
 	# Install poms and jars into Maven repo
 	 for pom in $(wildcard debian/poms/*.xml); do \
 		mh_installpom -v -plibequinox-osgi-java $$pom; \
@@ -108,6 +124,13 @@
 		mh_installjar -v -plibequinox-osgi-java  $$pom debian/libequinox-osgi-java/usr/share/java/org.eclipse.$$SUFFIX.jar; \
 	 done
 
+override_jh_classpath:
+	jh_classpath
+	jh_classpath -c"org.eclipse.core.commands.jar org.eclipse.equinox.common.jar" \
+		debian/eclipse-rcp/usr/share/java/org.eclipse.jface.jar
+	jh_classpath -c"org.eclipse.equinox.common.jar" \
+		debian/eclipse-rcp/usr/share/java/org.eclipse.core.commands.jar
+
 override_dh_md5sums:
 	# If we are using GCJ, let the build fail at this point.
 	# We want to check the build log, but not to use the created packages.
