=== debian/watch ===
version=3
http://download.eclipse.org/eclipse/downloads/eclipse3x.html drops/R-(\d.\d.\d)-\d+/
